Jump to content

Recommended Posts

Am I reading this system monitor correctly? It appears that only 1 core is trying to handle ShooterGame and that others just rotate the 30% load around.
I haven't noticed it move the 100% load from CPU8.  I haven't started up additional grids yet as this caught my attention.

linuxconsuption.thumb.jpg.9d32ba31e24eaa7e738f3827a2aa7e2a.jpg

Share this post


Link to post
Share on other sites

Pleas Help me  =/    Runing Ubuntu.......

 

Using binned.
4.5.1-0+UE4 7038 3077 408 10
[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.
Setting breakpad minidump AppID = 834910
Signal 11 caught.
EngineCrashHandler: Signal=11
Segmentation fault (core dumped)

 

Share this post


Link to post
Share on other sites
1 minute ago, limi_tv said:

Pleas Help me  =/    Runing Ubuntu.......

 

Using binned.
4.5.1-0+UE4 7038 3077 408 10
[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.
Setting breakpad minidump AppID = 834910
Signal 11 caught.
EngineCrashHandler: Signal=11
Segmentation fault (core dumped)

 

Post your log file. I get the same error and this is what my log says.

:~/server1/atlas01/ShooterGame/Saved/Logs$ cat ShooterGame.log
[2019.01.18-16.15.40:396][  0]Log file open, 01/18/19 16:15:40
[2019.01.18-16.15.40:396][  0]ATLAS Version: 11.4 (Rev. 106774)
[2019.01.18-16.15.40:397][  0]PID: 2462
[2019.01.18-16.15.40:417][  0]FDatabaseRedisShared::LoadDatabaseConnectionInfo() Failed To to load or parse entries from ServerGrid.ServerOnly.json
 

Share this post


Link to post
Share on other sites
25 minutes ago, CNod said:

Post your log file. I get the same error and this is what my log says.

:~/server1/atlas01/ShooterGame/Saved/Logs$ cat ShooterGame.log
[2019.01.18-16.15.40:396][  0]Log file open, 01/18/19 16:15:40
[2019.01.18-16.15.40:396][  0]ATLAS Version: 11.4 (Rev. 106774)
[2019.01.18-16.15.40:397][  0]PID: 2462
[2019.01.18-16.15.40:417][  0]FDatabaseRedisShared::LoadDatabaseConnectionInfo() Failed To to load or parse entries from ServerGrid.ServerOnly.json
 

loool  :D:D:D

I have no log files not even because folder saved

Share this post


Link to post
Share on other sites
33 minutes ago, CNod said:

[2019.01.18-16.15.40:417][  0]FDatabaseRedisShared::LoadDatabaseConnectionInfo() Failed To to load or parse entries from ServerGrid.ServerOnly.json

Could be you are just missing ServerGrid.ServerOnly.json or that it's malformed/corrupt.

  • Thanks 1

Share this post


Link to post
Share on other sites
5 minutes ago, StevenB said:

Could be you are just missing ServerGrid.ServerOnly.json or that it's malformed/corrupt.

I'm sure mine is due it being missing. Working on getting one now. Thanks!

Share this post


Link to post
Share on other sites

I was able to get mine to work, I think. It shows up in steam server list.

ATLAS Version: 11.4 (Rev. 106774) is what I had before I updated the app id.


ATLAS Version: 11.3 (Rev. 106774) is what I have now. 

My client is 14.1. Does this mean I won't be able to connect to my server? Also why did the version downgrade when I updated the appid via steamcmd.

Share this post


Link to post
Share on other sites

Hi CNOD,

our Server has the Same Version 11.3. It doesnt Updated so we and you cant join the Servers. i think we have to wait. -.-

  • Thanks 1

Share this post


Link to post
Share on other sites

Having walked through this a few times, I'm going to list a couple of observations that may not be the cause of things just getting stuck, but would be good to get addressed in the next build:

  • libaws-cpp
    • It would be good to build against an up to date version of OpenSSL
    • Update to the current version of libaws-cpp so that we can simply build that ourselves without warnings
      • The warnings will turn to segfaults if your server uses aws for all the awsy things the server can do
  • libGameNetworkingSocket
    • Again, build against an up to date version of OpenSSL
    • Build against libprotobuf.so.10
    • Build against libsodium (maybe this is happening, but I found all the symbols from the slow-as-balls Valve versions and it is definitely not dynamically linked to it)

Updating (or just rebuilding in an up to date environment) libaws-cpp and libGameNetworkingSocket would clear up the openssl problems and help people move forward with allot less headache.

@Rob

 

Edited by Forrondy
i totally a word
  • Like 1
  • Thanks 1

Share this post


Link to post
Share on other sites
1 hour ago, ChiefJerno94 said:

Hi CNOD,

our Server has the Same Version 11.3. It doesnt Updated so we and you cant join the Servers. i think we have to wait. -.-

@Rob is the guy to update us I think, anyone seen him at work today 🙂

 

Share this post


Link to post
Share on other sites

Now Server has an Update and I get this Error

Signal 11 caught.
EngineCrashHandler: Signal=11
Segmentation fault (core dumped)

What does it mean?

@Rob

Edited by lolman2079

Share this post


Link to post
Share on other sites

@Rob

home/steam/Atlas/Server/ShooterGame/Binaries/Linux/ShooterGameServer: /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0: version `OPENSSL_1.0.1' not found (required by application)

OpenSSL needs to be updated to 1.1.0 or 1.1.1. The current version is outdated and is no longer supported.

 

Share this post


Link to post
Share on other sites
35 minutes ago, TruWrecks said:

@Rob

home/steam/Atlas/Server/ShooterGame/Binaries/Linux/ShooterGameServer: /usr/lib/x86_64-linux-gnu/libcrypto.so.1.0.0: version `OPENSSL_1.0.1' not found (required by application)

OpenSSL needs to be updated to 1.1.0 or 1.1.1. The current version is outdated and is no longer supported.

 

I am 100% sure they know this, how could the be unaware of this issue?  The real question is why they wont fix it

Share this post


Link to post
Share on other sites
5 minutes ago, Nelson Sandalwood said:

I am 100% sure they know this, how could the be unaware of this issue?  The real question is why they wont fix it

The real question is why have they not responded to anything in this thread?

@Rob

@Jatheish

Share this post


Link to post
Share on other sites

We created an Linux Server but the Ping ingame is over 100 every Time.
Network connection is not the Problem. Maybe because of the Linux files?
@Rob

Share this post


Link to post
Share on other sites
4 hours ago, lolman2079 said:

We created an Linux Server but the Ping ingame is over 100 every Time.
Network connection is not the Problem. Maybe because of the Linux files?
@Rob

This is the same for everyone.

5 hours ago, lolman2079 said:

Now Server has an Update and I get this Error

Signal 11 caught.
EngineCrashHandler: Signal=11
Segmentation fault (core dumped)

What does it mean?

@Rob

It happens because there is a bug in the server process that causes it to corrupt the savegame files when it's stopped abruptly (like when you use CTRL-C). You need to delete the savegame files and start again.

Share this post


Link to post
Share on other sites

Can confirm this is miles away from stable (or possible as best as I can tell) on AWS via the AWS Linux 2, Centos 7, or RHEL 7 operating systems.

If this is only designed to work on Ubuntu with outdated openssl libraries, then say that, don't say "linux"

  • Thanks 1

Share this post


Link to post
Share on other sites
On 1/17/2019 at 4:58 AM, mouseymars said:

С выходом обновления 14.0 ничего не изменилось. Сервера на линукс по прежнему лагают с тикрейтом 1 сек. Сервер нагружает только 1 ядро CPU на 100%.

 

Share this post


Link to post
Share on other sites

Windows Server gets an update today to 15.0 and we still don't have a working Linux build, even though it says "Officially Supported".

 

The best we have is a half-ass Ubuntu build that has security holes an elephant can trip and stumble through as far as OpenSSL is concerned.

I am bringing my Ark cluster back online so my community has something that works. I'll check back when Grapeshot matures a bit more.

  • Like 2

Share this post


Link to post
Share on other sites
1 hour ago, TruWrecks said:

Windows Server gets an update today to 15.0 and we still don't have a working Linux build, even though it says "Officially Supported".

Yes, it shameful, and they should be embarrassed by this, The lack of respect to the community by ignoring these issues is weird,  I get it might be a problem to fix, but that is no excuse for not communicating with us.  @Jatheish said communication would be better but we seem to be slipping through the cracks

EDIT:  Jat has responded on twitter and they are looking into it,.  Much thanks Jat 🙂

 

Edited by Nelson Sandalwood
  • Like 1

Share this post


Link to post
Share on other sites

I'll flag up the issues regarding OpenSSL and CURL. It would be good to know what version of Linux you guys are using that is running into these issues, and whether you're able to host ARK servers on those same operating systems.

  • Thanks 3

Share this post


Link to post
Share on other sites
1 minute ago, Jatheish said:

I'll flag up the issues regarding OpenSSL and CURL. It would be good to know what version of Linux you guys are using that is running into these issues, and whether you're able to host ARK servers on those same operating systems.

Here is is  Ubuntu Server 18.04 

Share this post


Link to post
Share on other sites
13 minutes ago, Jatheish said:

I'll flag up the issues regarding OpenSSL and CURL. It would be good to know what version of Linux you guys are using that is running into these issues, and whether you're able to host ARK servers on those same operating systems.

Anything Debian 9 Stable would fix the issues for most of us since that is the base for Ubuntu 18.04,

 

OpenSSL-1.1.1 is the current supported version.

And Thank you! @Jatheish

 

And I have an Ark cluster currently running on my Debian 9.5 server. It is solid and stable far beyond Windows could ever dream.

Edited by TruWrecks
  • Like 1

Share this post


Link to post
Share on other sites
5 minutes ago, Jatheish said:

I'll flag up the issues regarding OpenSSL and CURL. It would be good to know what version of Linux you guys are using that is running into these issues, and whether you're able to host ARK servers on those same operating systems.

Ubuntu 18.04, Debian 9, Amazon Linux 2, Centos 7 (i think), Arch Linux, Gentoo...

Also because i have them sitting here in front of me, a linux jail in OpenBSD and also tried it for giggles on Ubuntu 18.04 on Windows Subsystem for Linux (or whatever they call it now)

Can't say if it could host ARK, never played/tried.  By compiling my own libaws-cpp-sdk libraries and GameNetworkingSockets to use up to date openssl, it seems to work but only sort of since it can't load map data and it runs real bad, also it will crash if I try to use s3 for anything (my libaws-cpp-sdk build is new enough that things are actually different in a few places according to ldd). 

  • Haha 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×